Default [Q] Insufficient space installing gapps?

Hey everyone,

I have a Verizon Galaxy Nexus, currently on stock 4.2.2 rooted with CWM touch because when I try to flash Beanstalk 4.4 and the stock gapps (I want photosphere and stuff), it gives me an error during the gapps flash saying that there is insufficient space. I'm considering trying a different rom and gapps package, I just wanted to know if there was something dumb I might have overlooked. Thanks in advance!